COUNTCOUNT
Sign Up
Expense ReceiptsDelete expense receipt

Delete expense receipt

DELETE/partners/expense-receipts/{uuid}

Deletes an unmatched expense receipt.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

Expense receipt UUID to delete.

Responses

200Expense receipt deleted.
400Receipt is already matched.
404Expense receipt not found.
401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot
403The credential does not have access to this workspace or resource. Troubleshoot
429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. Troubleshoot
DELETEhttps://api.getcount.com/partners/expense-receipts/{uuid}
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/expense-receipts/44556677-8899-aabb-ccdd-eeff00112233';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/expense-receipts/44556677-8899-aabb-ccdd-eeff00112233`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "message": "Success on deleting pending receipt",
  "data": {
    "result": {
      "deleted": true
    }
  }
}